78% of the web powered by PHP, 1% on PHP 8

Today, PHP is used by almost 80% of all websites Whose server-side programming language we know. Popular websites like Slack, Etsy, Wikipedia, WordPress, Mailchimp, Canva, Indeed, Investing.com, and others are powered by PHP.

However, in the coming months, many websites that fail to upgrade to the latest version of PHP 8 will be left running unsupported versions.


Use of server-side programming languages ​​for websites (source: w3techs,

PHP 7 EOL (End of Life): Upgrade to PHP 8!

8 percent of PHP websites

PHP 7 was released back in 2015And 68% of PHP-based websites still use PHP 7. meanwhile, PHP 8 was released In November 2020, only ~1% of PHP-based websites use it so far!

This slow uptake of PHP 8 will very soon become a high priority upgrade for organizations. In fact, PHP 7 loses active support next month and loses security support in a year,

Extended support for PHP 7.4 will end on November 28, 2022. After this date, applications will continue to run; However, those applications will be out of support and at risk of security vulnerabilities that will remain undetected.

In addition, after November 28, 2022, Microsoft will no longer support PHP, and primarily Unix-based distros such as Linux will be an OS supported by future versions of PHP and continuous feature, quality, and security updates.

If you want to upgrade to PHP 8 now, read also: PHP 8 compatibility check and performance tips.

disable expose_php

when enabled, expose_php The parameter tells the world that PHP is used on the server. it php.ini settings It also exposes which PHP version is reported by the HTTP header (for example, X-Powered-By:PHP/8.0.12). For best protection, it is recommended that you disable this php.ini parameter,

conclusion

Back in 2017, I wrote a similar article. At the time, most PHP-based websites ran the older PHP version, PHP 5. However, PHP had about two years left in expanded support.

Currently, this is not the case for PHP 7.4; And until PHP developers announce an extension to their support for PHP 7, there’s sure to be a slew of unsupported PHP versions powering the web.

with recent Cyber ​​attacks on the rise, ransomwareAnd for more requirements for better application security and overview, we should all be planning to upgrade to PHP 8 right now!

Leave a Comment